extends Node2D

var card_scene = preload("uid://cqumma8ibtbsx")

func _ready():
	var size = get_viewport().get_visible_rect().size
	
	var card1 = card_scene.instantiate()
	card1.card_text = "Test Card 1"
	card1.card_name = "Card 1"
	card1.card_cost = 1
	card1.position = Vector2(size.x / 2 - 100, size.y / 2)
	add_child(card1)
	
	var card2 = card_scene.instantiate()
	card2.card_text = "Test Card 2"
	card2.card_name = "Card 2"
	card2.card_cost = 2
	card2.position = Vector2(size.x / 2 + 100, size.y / 2)
	add_child(card2)
	
	
